ELException (JavaServer Pages API Documentation)
Keywords: javax.servlet.jsp.el.ELException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.el
Class ELException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.servlet.jsp.el.ELException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ELParseException

public class ELException
extends java.lang.Exception

Represents any of the exception conditions that arise during the operation evaluation of the evaluator.

Since:
  2.0
See Also:
  Serialized Form

Constructor Summary
`ELException()` Creates an ELException with no detail message.
`ELException(java.lang.String pMessage)` Creates an ELException with the provided detail message.
`ELException(java.lang.String pMessage, java.lang.Throwable pRootCause)` Creates an ELException with the given detail message and root cause.
`ELException(java.lang.Throwable pRootCause)` Creates an ELException with the given root cause.

Method Summary
`java.lang.Throwable` | `getRootCause()` Returns the root cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ELException

    public ELException()

  Creates an ELException with no detail message.

### ELException

    public ELException(java.lang.String pMessage)

  Creates an ELException with the provided detail message.

Parameters:
  `pMessage` - the detail message

### ELException

    public ELException(java.lang.Throwable pRootCause)

  Creates an ELException with the given root cause.

Parameters:
  `pRootCause` - the originating cause of this exception

### ELException

    public ELException(java.lang.String pMessage,
                       java.lang.Throwable pRootCause)

  Creates an ELException with the given detail message and root cause.

Parameters:
  `pMessage` - the detail message
  `pRootCause` - the originating cause of this exception

Method Detail

### getRootCause

    public java.lang.Throwable getRootCause()

  Returns the root cause.

  Returns:
    the root cause of this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2002 The Apache Software Foundation. All Rights Reserved.